org.eclipse.oomph.predicates.impl

## Class PredicatesPackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.oomph.predicates.impl.PredicatesPackageImpl

- All Implemented Interfaces:
    Notifier, EModelElement, ENamedElement, EObject, EPackage, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, BasicExtendedMetaData.EPackageExtendedMetaData.Holder, PredicatesPackage

      public class PredicatesPackageImpl
      extends EPackageImpl
      implements PredicatesPackage

  An implementation of the model Package.
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `EPackageImpl.EBasicWhiteList`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.oomph.predicates.PredicatesPackage

      `PredicatesPackage.Literals`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `EPackage.Descriptor, EPackage.Registry`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `name, NAME_EDEFAULT`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.oomph.predicates.PredicatesPackage

      `AND_PREDICATE, AND_PREDICATE___GET_ANNOTATION__STRING, AND_PREDICATE___MATCHES__IRESOURCE, AND_PREDICATE__ANNOTATIONS, AND_PREDICATE__OPERANDS, AND_PREDICATE_FEATURE_COUNT, AND_PREDICATE_OPERATION_COUNT, BUILDER_PREDICATE, BUILDER_PREDICATE___GET_ANNOTATION__STRING, BUILDER_PREDICATE___MATCHES__IRESOURCE, BUILDER_PREDICATE__ANNOTATIONS, BUILDER_PREDICATE__BUILDER, BUILDER_PREDICATE_FEATURE_COUNT, BUILDER_PREDICATE_OPERATION_COUNT, COMMENT_PREDICATE, COMMENT_PREDICATE___GET_ANNOTATION__STRING, COMMENT_PREDICATE___MATCHES__IRESOURCE, COMMENT_PREDICATE__ANNOTATIONS, COMMENT_PREDICATE__PATTERN, COMMENT_PREDICATE_FEATURE_COUNT, COMMENT_PREDICATE_OPERATION_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, FILE_PREDICATE, FILE_PREDICATE___GET_ANNOTATION__STRING, FILE_PREDICATE___MATCHES__IRESOURCE, FILE_PREDICATE__ANNOTATIONS, FILE_PREDICATE__CONTENT_PATTERN, FILE_PREDICATE__FILE_PATTERN, FILE_PREDICATE_FEATURE_COUNT, FILE_PREDICATE_OPERATION_COUNT, LOCATION_PREDICATE, LOCATION_PREDICATE___GET_ANNOTATION__STRING, LOCATION_PREDICATE___MATCHES__IRESOURCE, LOCATION_PREDICATE__ANNOTATIONS, LOCATION_PREDICATE__PATTERN, LOCATION_PREDICATE_FEATURE_COUNT, LOCATION_PREDICATE_OPERATION_COUNT, NAME_PREDICATE, NAME_PREDICATE___GET_ANNOTATION__STRING, NAME_PREDICATE___MATCHES__IRESOURCE, NAME_PREDICATE__ANNOTATIONS, NAME_PREDICATE__PATTERN, NAME_PREDICATE_FEATURE_COUNT, NAME_PREDICATE_OPERATION_COUNT, NATURE_PREDICATE, NATURE_PREDICATE___GET_ANNOTATION__STRING, NATURE_PREDICATE___MATCHES__IRESOURCE, NATURE_PREDICATE__ANNOTATIONS, NATURE_PREDICATE__NATURE, NATURE_PREDICATE_FEATURE_COUNT, NATURE_PREDICATE_OPERATION_COUNT, NOT_PREDICATE, NOT_PREDICATE___GET_ANNOTATION__STRING, NOT_PREDICATE___MATCHES__IRESOURCE, NOT_PREDICATE__ANNOTATIONS, NOT_PREDICATE__OPERAND, NOT_PREDICATE_FEATURE_COUNT, NOT_PREDICATE_OPERATION_COUNT, OR_PREDICATE, OR_PREDICATE___GET_ANNOTATION__STRING, OR_PREDICATE___MATCHES__IRESOURCE, OR_PREDICATE__ANNOTATIONS, OR_PREDICATE__OPERANDS, OR_PREDICATE_FEATURE_COUNT, OR_PREDICATE_OPERATION_COUNT, PREDICATE, PREDICATE___GET_ANNOTATION__STRING, PREDICATE___MATCHES__IRESOURCE, PREDICATE__ANNOTATIONS, PREDICATE_FEATURE_COUNT, PREDICATE_OPERATION_COUNT, PROJECT, REPOSITORY_PREDICATE, REPOSITORY_PREDICATE___GET_ANNOTATION__STRING, REPOSITORY_PREDICATE___MATCHES__IRESOURCE, REPOSITORY_PREDICATE__ANNOTATIONS, REPOSITORY_PREDICATE__PROJECT, REPOSITORY_PREDICATE_FEATURE_COUNT, REPOSITORY_PREDICATE_OPERATION_COUNT, RESOURCE`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createEcoreAnnotations()` Initializes the annotations for http://www.eclipse.org/emf/2002/Ecore.
    `protected void` | `createExtendedMetaDataAnnotations()` Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.
    `protected void` | `createLabelProviderAnnotations()` Initializes the annotations for http://www.eclipse.org/oomph/base/LabelProvider.
    `void` | `createPackageContents()` Creates the meta-model objects for the package.
    `EReference` | `getAndPredicate_Operands()`
    `EClass` | `getAndPredicate()`
    `EAttribute` | `getBuilderPredicate_Builder()`
    `EClass` | `getBuilderPredicate()`
    `EAttribute` | `getCommentPredicate_Pattern()`
    `EClass` | `getCommentPredicate()`
    `EAttribute` | `getFilePredicate_ContentPattern()`
    `EAttribute` | `getFilePredicate_FilePattern()`
    `EClass` | `getFilePredicate()`
    `EAttribute` | `getLocationPredicate_Pattern()`
    `EClass` | `getLocationPredicate()`
    `EAttribute` | `getNamePredicate_Pattern()`
    `EClass` | `getNamePredicate()`
    `EAttribute` | `getNaturePredicate_Nature()`
    `EClass` | `getNaturePredicate()`
    `EReference` | `getNotPredicate_Operand()`
    `EClass` | `getNotPredicate()`
    `EReference` | `getOrPredicate_Operands()`
    `EClass` | `getOrPredicate()`
    `EOperation` | `getPredicate__Matches__IResource()`
    `EClass` | `getPredicate()`
    `PredicatesFactory` | `getPredicatesFactory()`
    `EDataType` | `getProject()`
    `EAttribute` | `getRepositoryPredicate_Project()`
    `EClass` | `getRepositoryPredicate()`
    `EDataType` | `getResource()`
    `static PredicatesPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
    `void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `eContents, eCrossReferences, getName, getNameGen, setName`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### init

          public static PredicatesPackage init()

      Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

      This method is used to initialize `PredicatesPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

      See Also:
        `PredicatesPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`
      Generated

    - #### getPredicate

          public EClass getPredicate()

      Specified by:
        `getPredicate` in interface `PredicatesPackage`
      Returns:
        the meta object for class 'Predicate'.
      See Also:
        `Predicate`
      Generated

    - #### getPredicate__Matches__IResource

          public EOperation getPredicate__Matches__IResource()

      Specified by:
        `getPredicate__Matches__IResource` in interface `PredicatesPackage`
      Returns:
        the meta object for the 'Matches' operation.
      See Also:
        `Predicate.matches(org.eclipse.core.resources.IResource)`
      Generated

    - #### getNamePredicate

          public EClass getNamePredicate()

      Specified by:
        `getNamePredicate` in interface `PredicatesPackage`
      Returns:
        the meta object for class 'Name Predicate'.
      See Also:
        `NamePredicate`
      Generated

    - #### getNamePredicate_Pattern

          public EAttribute getNamePredicate_Pattern()

      Specified by:
        `getNamePredicate_Pattern` in interface `PredicatesPackage`
      Returns:
        the meta object for the attribute 'Pattern'.
      See Also:
        `NamePredicate.getPattern()`, `PredicatesPackage.getNamePredicate()`
      Generated

    - #### getCommentPredicate

          public EClass getCommentPredicate()

      Specified by:
        `getCommentPredicate` in interface `PredicatesPackage`
      Returns:
        the meta object for class 'Comment Predicate'.
      See Also:
        `CommentPredicate`
      Generated

    - #### getCommentPredicate_Pattern

          public EAttribute getCommentPredicate_Pattern()

      Specified by:
        `getCommentPredicate_Pattern` in interface `PredicatesPackage`
      Returns:
        the meta object for the attribute 'Pattern'.
      See Also:
        `CommentPredicate.getPattern()`, `PredicatesPackage.getCommentPredicate()`
      Generated

    - #### getLocationPredicate

          public EClass getLocationPredicate()

      Specified by:
        `getLocationPredicate` in interface `PredicatesPackage`
      Returns:
        the meta object for class 'Location Predicate'.
      See Also:
        `LocationPredicate`
      Generated

    - #### getLocationPredicate_Pattern

          public EAttribute getLocationPredicate_Pattern()

      Specified by:
        `getLocationPredicate_Pattern` in interface `PredicatesPackage`
      Returns:
        the meta object for the attribute 'Pattern'.
      See Also:
        `LocationPredicate.getPattern()`, `PredicatesPackage.getLocationPredicate()`
      Generated

    - #### getRepositoryPredicate

          public EClass getRepositoryPredicate()

      Specified by:
        `getRepositoryPredicate` in interface `PredicatesPackage`
      Returns:
        the meta object for class 'Repository Predicate'.
      See Also:
        `RepositoryPredicate`
      Generated

    - #### getRepositoryPredicate_Project

          public EAttribute getRepositoryPredicate_Project()

      Specified by:
        `getRepositoryPredicate_Project` in interface `PredicatesPackage`
      Returns:
        the meta object for the attribute 'Project'.
      See Also:
        `RepositoryPredicate.getProject()`, `PredicatesPackage.getRepositoryPredicate()`
      Generated

    - #### getAndPredicate

          public EClass getAndPredicate()

      Specified by:
        `getAndPredicate` in interface `PredicatesPackage`
      Returns:
        the meta object for class 'And Predicate'.
      See Also:
        `AndPredicate`
      Generated

    - #### getAndPredicate_Operands

          public EReference getAndPredicate_Operands()

      Specified by:
        `getAndPredicate_Operands` in interface `PredicatesPackage`
      Returns:
        the meta object for the containment reference list 'Operands'.
      See Also:
        `AndPredicate.getOperands()`, `PredicatesPackage.getAndPredicate()`
      Generated

    - #### getOrPredicate

          public EClass getOrPredicate()

      Specified by:
        `getOrPredicate` in interface `PredicatesPackage`
      Returns:
        the meta object for class 'Or Predicate'.
      See Also:
        `OrPredicate`
      Generated

    - #### getOrPredicate_Operands

          public EReference getOrPredicate_Operands()

      Specified by:
        `getOrPredicate_Operands` in interface `PredicatesPackage`
      Returns:
        the meta object for the containment reference list 'Operands'.
      See Also:
        `OrPredicate.getOperands()`, `PredicatesPackage.getOrPredicate()`
      Generated

    - #### getNotPredicate

          public EClass getNotPredicate()

      Specified by:
        `getNotPredicate` in interface `PredicatesPackage`
      Returns:
        the meta object for class 'Not Predicate'.
      See Also:
        `NotPredicate`
      Generated

    - #### getNotPredicate_Operand

          public EReference getNotPredicate_Operand()

      Specified by:
        `getNotPredicate_Operand` in interface `PredicatesPackage`
      Returns:
        the meta object for the containment reference 'Operand'.
      See Also:
        `NotPredicate.getOperand()`, `PredicatesPackage.getNotPredicate()`
      Generated

    - #### getNaturePredicate

          public EClass getNaturePredicate()

      Specified by:
        `getNaturePredicate` in interface `PredicatesPackage`
      Returns:
        the meta object for class 'Nature Predicate'.
      See Also:
        `NaturePredicate`
      Generated

    - #### getNaturePredicate_Nature

          public EAttribute getNaturePredicate_Nature()

      Specified by:
        `getNaturePredicate_Nature` in interface `PredicatesPackage`
      Returns:
        the meta object for the attribute 'Nature'.
      See Also:
        `NaturePredicate.getNature()`, `PredicatesPackage.getNaturePredicate()`
      Generated

    - #### getBuilderPredicate

          public EClass getBuilderPredicate()

      Specified by:
        `getBuilderPredicate` in interface `PredicatesPackage`
      Returns:
        the meta object for class 'Builder Predicate'.
      See Also:
        `BuilderPredicate`
      Generated

    - #### getBuilderPredicate_Builder

          public EAttribute getBuilderPredicate_Builder()

      Specified by:
        `getBuilderPredicate_Builder` in interface `PredicatesPackage`
      Returns:
        the meta object for the attribute 'Builder'.
      See Also:
        `BuilderPredicate.getBuilder()`, `PredicatesPackage.getBuilderPredicate()`
      Generated

    - #### getFilePredicate

          public EClass getFilePredicate()

      Specified by:
        `getFilePredicate` in interface `PredicatesPackage`
      Returns:
        the meta object for class 'File Predicate'.
      See Also:
        `FilePredicate`
      Generated

    - #### getFilePredicate_FilePattern

          public EAttribute getFilePredicate_FilePattern()

      Specified by:
        `getFilePredicate_FilePattern` in interface `PredicatesPackage`
      Returns:
        the meta object for the attribute 'File Pattern'.
      See Also:
        `FilePredicate.getFilePattern()`, `PredicatesPackage.getFilePredicate()`
      Generated

    - #### getFilePredicate_ContentPattern

          public EAttribute getFilePredicate_ContentPattern()

      Specified by:
        `getFilePredicate_ContentPattern` in interface `PredicatesPackage`
      Returns:
        the meta object for the attribute 'Content Pattern'.
      See Also:
        `FilePredicate.getContentPattern()`, `PredicatesPackage.getFilePredicate()`
      Generated

    - #### getProject

          public EDataType getProject()

      Specified by:
        `getProject` in interface `PredicatesPackage`
      Returns:
        the meta object for data type 'Project'.
      See Also:
        `IProject`
      Generated

    - #### getResource

          public EDataType getResource()

      Specified by:
        `getResource` in interface `PredicatesPackage`
      Returns:
        the meta object for data type 'Resource'.
      See Also:
        `IResource`
      Generated

    - #### getPredicatesFactory

          public PredicatesFactory getPredicatesFactory()

      Specified by:
        `getPredicatesFactory` in interface `PredicatesPackage`
      Returns:
        the factory that creates the instances of the model.
      Generated

    - #### createPackageContents

          public void createPackageContents()

      Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.
      Generated

    - #### initializePackageContents

          public void initializePackageContents()

      Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.
      Generated

    - #### createEcoreAnnotations

          protected void createEcoreAnnotations()

      Initializes the annotations for http://www.eclipse.org/emf/2002/Ecore.
      Generated

    - #### createLabelProviderAnnotations

          protected void createLabelProviderAnnotations()

      Initializes the annotations for http://www.eclipse.org/oomph/base/LabelProvider.
      Generated

    - #### createExtendedMetaDataAnnotations

          protected void createExtendedMetaDataAnnotations()

      Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html